/*
 * sctl - Bearcat scanner control program
 * Copyright (C) 2001 Ian Johnston <reaper@muppetlabs.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _UTILS_H_
#define _UTILS_H_

extern int scannermodel;

int human2bc_freq(char *freq_string);
double bc2human_freq(char *freq_string);
int bc2human_onoff(char status, char *result);
void check_err(char *command, char *answer);
void u_err(char *command, char *answer);
void complain(char *message);
int get_first_channel(char bank);
int withinlimits(double freq);
void print_s_meter(char * slchar);

#endif /* _UTILS_H_ */
